Bug 1121098 - `katello-installer --help` for "--foreman-authentication" mentions admin/changeme
Summary: `katello-installer --help` for "--foreman-authentication" mentions admin/chan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:57 UTC by Jan Hutař
Modified: 2017-02-23 21:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Jan Hutař 2014-07-18 10:57:57 UTC
Description of problem:
`katello-installer --help` for "--foreman-authentication" still mentions admin/changeme


Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140716.0


How reproducible:
always


Steps to Reproduce:
1. katello-installer --help


Actual results:
[...]
    --foreman-authentication      Enable users authentication (default user:admin pw:changeme) (default: true)
[...]


Expected results:
Should not mention "changeme" as a default password.

Comment 2 Eric Helms 2014-11-04 20:33:37 UTC
This looks to be changed upstream, see snip of current installer:

foreman-admin-email         E-mail address of the initial admin user (default: nil)
    --foreman-admin-first-name    First name of the initial admin user (default: nil)
    --foreman-admin-last-name     Last name of the initial admin user (default: nil)
    --foreman-admin-password      Password of the initial admin user, default is randomly generated (default: "9asdf8s8a0AAJAJaa")
    --foreman-admin-username      Username for the initial admin user (default: "admin")
    --foreman-app-root            Name of foreman root directory (default: "/usr/share/foreman")
    --foreman-authentication      Enable user authentication. Initial credentials are set using admin_username
                                  and admin_password. (default: true)
    --foreman-configure-brightbox-repo  Configure the Brightbox PPA for Ubuntu, providing updated Ruby and
                                  Passenger packages (default: false)

Comment 3 jcallaha 2014-11-14 19:41:43 UTC
*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***
RHEL65 / RHEL7

--foreman-authentication      Enable user authentication. Initial credentials are set using admin_username
                                  and admin_password. (default: true)

Version Tested:
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-gce-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el7.noarch
foreman-vmware-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-release-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-postgresql-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
foreman-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-ovirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-libvirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-compute-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch

Comment 4 Bryan Kearney 2015-08-11 13:25:03 UTC
This bug is slated to be released with Satellite 6.1.

Comment 5 errata-xmlrpc 2015-08-12 05:10:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.